#!/bin/bash

pkgname="openssl"
pkgver="1.1.1"

src="https://www.openssl.org/source/${pkgname}-${pkgver}.tar.gz"

prepare () {
    [ -f "${pkgname}-src.tar.gz" ] || curl -o "${pkgname}-src.tar.gz" "${src}"
    tar -C "${srcdir}" -xvf "${pkgname}-src.tar.gz"
}

build () {
    cd "${srcdir}/openssl-${pkgver}"

    for p in "${wd}"/patches/*.patch; do
        patch -u -p0 < "${p}"
    done

    ./Configure \
        --prefix=/usr \
        --openssldir=/etc/ssl \
        --libdir=lib \
        shared no-ssl3-method enable-ec_nistp_64_gcc_128 linux-x86_64 \
        no-async \
        "-Wa,--noexecstack ${CPPFLAGS} ${CFLAGS} ${LDFLAGS}"

    make depend
    make
}

package () {
    cd "${srcdir}/openssl-${pkgver}"
    make \
        DESTDIR="${pkgdir}" \
        MANDIR=/usr/share/man \
        MANSUFFIX=ssl \
        install_sw install_ssldirs install_man_docs
}

. ../common.sh
